Name: xfce4-session
Version: 4.2.2
Release: alt1

Summary: Session manager for XFce desktop environment
Summary(ru_RU.CP1251):      XFce
License: GPL
Group: Graphical desktop/XFce
Url: http://www.xfce.org/
Packager: Andrey Astafiev <andrei@altlinux.ru>

Source0: ftp://ftp.berlios.de/pub/xfce-goodies/%version/%name-%version.tar.bz2

PreReq: libxfsm = %version-%release

BuildPreReq: libxfcegui4-devel >= %version, libxfce4mcs-devel >= %version
BuildPreReq: xfce-mcs-manager-devel >= %version

%def_disable static
%{?_enable_static:BuildPreReq: glibc-devel-static}

# Automatically added by buildreq on Wed May 18 2005
BuildRequires: fontconfig freetype2 gcc-c++ glib2-devel libatk-devel libgtk+2-devel libpango-devel libstartup-notification libstdc++-devel libxfce4mcs-devel libxfce4util-devel libxfcegui4-devel pkgconfig xfce-mcs-manager-devel xorg-x11-devel xorg-x11-utils

%description
%name is the session manager for the XFce desktop environment.

%description -l ru_RU.CP1251
%name --       XFce.

%package -n libxfsm
Summary: Library for XFce session manager plugins
Summary(ru_RU.CP1251):     XFce
Group: Development/C
License: GPL
Requires: xfce4-common

%description -n libxfsm
This package contains library for XFce session manager.

%description -n libxfsm -l ru_RU.CP1251
    XFce.

%package devel
Summary: Development files to build XFce session manager plugins
Summary(ru_RU.CP1251):        XFce
Group: Development/C
License: GPL
PreReq: libxfsm = %version-%release

%description devel
This package contains files to develop plugins for XFce session manager.

%description devel -l ru_RU.CP1251
        XFce.

%package engines
Summary: Additional splash screen engines for XFce session manager
Summary(ru_RU.CP1251):      XFce
Group: Graphical desktop/XFce
License: GPL
PreReq: %name = %version-%release

%description engines
Additional splash screen engines for XFce session manager.

%description devel -l ru_RU.CP1251
     XFce.

%prep
%setup -q

%build
%{?!_enable_static:export lt_cv_prog_cc_static_works=no}
%configure --disable-gnome %{subst_enable static}
%make_build

%install
%make install DESTDIR=%buildroot
%find_lang %name

%files -f %name.lang
%doc README TODO ChangeLog NEWS INSTALL AUTHORS
%dir %_sysconfdir/xdg/xfce4-session
%config (noreplace) %_sysconfdir/xdg/xfce4-session/*
%_bindir/*
%dir %_libdir/xfce4/splash
%dir %_libdir/xfce4/splash/engines
%_libdir/xfce4/splash/engines/libmice.so
%exclude %_libdir/xfce4/splash/engines/*.la
%_libdir/xfsm*
%_libdir/xfce4/mcs-plugins/*.so
%exclude %_libdir/xfce4/mcs-plugins/*.la
%_datadir/xfce4/doc/*/*.html
%_datadir/xfce4/doc/*/images/*
%_datadir/applications/*
%_iconsdir/hicolor/*/apps/*
%_mandir/man?/*

%files -n libxfsm
%_libdir/lib*.so.*

%files devel
%_includedir/xfce4/%name-4.2
%_libdir/lib*.so
%_libdir/pkgconfig/*

%files engines
%_datadir/themes/Default/balou/*
%_libdir/xfce4/splash/engines/libbalou.so
%_libdir/xfce4/splash/engines/libsimple.so
%_libdir/balou*

%changelog
* Wed May 18 2005 Andrey Astafiev <andrei@altlinux.ru> 4.2.2-alt1
- 4.2.2

* Thu Mar 17 2005 Andrey Astafiev <andrei@altlinux.ru> 4.2.1-alt1
- 4.2.1

* Sat Jan 15 2005 Andrey Astafiev <andrei@altlinux.ru> 4.2.0-alt1
- 4.2.0

* Fri Dec 24 2004 Andrey Astafiev <andrei@altlinux.ru> 4.1.99.3-alt1
- 4.1.99.3

* Mon Nov 01 2004 Andrey Astafiev <andrei@altlinux.ru> 4.1.91-alt1
- 4.1.91

* Wed Jul 21 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.6-alt1
- 4.0.6

* Sat Apr 17 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.5-alt1
- 4.0.5

* Tue Mar 16 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.4-alt1
- 4.0.4

* Wed Jan 21 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.3-alt1
- 4.0.3

* Mon Dec 22 2003 Andrey Astafiev <andrei@altlinux.ru> 4.0.2-alt1
- 4.0.2

* Tue Nov 18 2003 Andrey Astafiev <andrei@altlinux.ru> 4.0.1-alt1
- 4.0.1

* Fri Sep 26 2003 Andrey Astafiev <andrei@altlinux.ru> 4.0.0-alt1
- 4.0.0

* Fri Sep 12 2003 Andrey Astafiev <andrei@altlinux.ru> 3.99.4-alt1
- 3.99.4

* Fri Aug 29 2003 Andrey Astafiev <andrei@altlinux.ru> 3.99.3-alt0.9
- 3.99.3

* Sun Aug 17 2003 Andrey Astafiev <andrei@altlinux.ru> 3.99.2-alt0.9
- 3.99.2

* Mon Jul 14 2003 Andrey Astafiev <andrei@altlinux.ru> 3.99.1-alt0.9
- 3.99.1

* Fri Jun 13 2003 Andrey Astafiev <andrei@altlinux.ru> 3.90.0-alt0.9
- First version of RPM package for Sisyphus.
- Spec derived from original version.
